create procedure sistema.sp_limpiarEmpresaUsuarioModulo
@numUsuario int,
@numModulo int,
@txtAsignaciones varchar(200)
as
begin
	set nocount on;

	DECLARE @dbSql varchar(3000);

	set @dbSql = 'DELETE FROM sistema.config_empresasUsuario WHERE idUsuario = '+CAST(@numUsuario as varchar)+' AND idModulo = '+CAST(@numModulo as varchar)+' AND id not in('+@txtAsignaciones+')';
	EXEC(@dbSql);
end